/**
 * 
 */
package gov.va.med.esr.ui.common.dao;

import java.util.List;

import gov.va.med.esr.common.model.lookup.Capability;

import gov.va.med.esr.service.UnknownLookupTypeException;

/**
 * @author DNS   KATIKM
 * Returns users with Edit PH Capability
 */
public class PHProcessUserLookupDAO extends UserLookupDAO {
	public PHProcessUserLookupDAO() {
		super();
	}
    public List findAll() throws UnknownLookupTypeException,ClassNotFoundException {
		try {
		    return getUserAdminService().findUsersByCapabilityCode(Capability.EDIT_PURPLE_HEART_INFO.getCode());
		}catch(Exception e) {
		    throw new RuntimeException(e.getMessage(),e);
		}
	}
}
